Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class KineticType

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.KineticType

All Implemented Interfaces:
  DataElement, MutableDataElement

public class KineticType
extends MutableDataElementSupport

Definition of KinetReactionType defines: - meta information about reaction

To do:
  high check validity of kinetic function
Pendung:
  to be extended from Referrer, literature references

Nested Class Summary
`static class` | `KineticType.Element` This class is used to specify roles for each element in kinetic function.
`static class` | `KineticType.ElementBeanInfo`

Field Summary
`protected java.lang.String` | `description` The reaction description in text or HTML format.
`protected KineticType.Element[]` | `elements` Kinetic function elements.
`protected java.lang.String` | `function` Kinetic function that specifies the reaction rate.
`protected boolean` | `reversible` Indicates whether this reaction is reversible.
`protected java.lang.String` | `title` Short kinetic type name to be used in the diagram as an diagram element title.

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`KineticType(DataCollection origin, java.lang.String name)`
`KineticType(DataCollection origin, java.lang.String name, java.lang.String title, java.lang.String description, boolean reversible, java.lang.String function, KineticType.Element[] elements)`

Method Summary
`KineticType.Element[]` | `getConstants()`
`java.lang.String` | `getDescription()`
`KineticType.Element[]` | `getElements()`
`KineticType.Element[]` | `getElements(java.lang.String type)` Returns elements of the specified type.
`java.lang.String` | `getFunction()`
`KineticType.Element[]` | `getModifers()`
`KineticType.Element[]` | `getProducts()`
`KineticType.Element[]` | `getReactants()`
`java.lang.String` | `getTitle()`
`boolean` | `isReversible()`
`protected void` | `parseFunction()` Parse new kinetic function.
`void` | `setDescription(java.lang.String description)`
`void` | `setElements(KineticType.Element[] elements)`
`void` | `setFunction(java.lang.String function)`
`void` | `setReversible(boolean reversible)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### title

    protected java.lang.String title

  Short kinetic type name to be used in the diagram as an diagram element title.

### description

    protected java.lang.String description

  The reaction description in text or HTML format.

### reversible

    protected boolean reversible

  Indicates whether this reaction is reversible.

### function

    protected java.lang.String function

  Kinetic function that specifies the reaction rate.

### elements

    protected KineticType.Element[] elements

  Kinetic function elements.

Constructor Detail

### KineticType

    public KineticType(DataCollection origin,
                       java.lang.String name)

### KineticType

    public KineticType(DataCollection origin,
                       java.lang.String name,
                       java.lang.String title,
                       java.lang.String description,
                       boolean reversible,
                       java.lang.String function,
                       KineticType.Element[] elements)

Method Detail

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### isReversible

    public boolean isReversible()

### setReversible

    public void setReversible(boolean reversible)

### getFunction

    public java.lang.String getFunction()

### setFunction

    public void setFunction(java.lang.String function)

### getElements

    public KineticType.Element[] getElements()

### setElements

    public void setElements(KineticType.Element[] elements)

### getConstants

    public KineticType.Element[] getConstants()

### getReactants

    public KineticType.Element[] getReactants()

### getProducts

    public KineticType.Element[] getProducts()

### getModifers

    public KineticType.Element[] getModifers()

### getElements

    public KineticType.Element[] getElements(java.lang.String type)

  Returns elements of the specified type.

### parseFunction

    protected void parseFunction()

  Parse new kinetic function.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.